## IdeLspRenameProvider IdeLspRenameProvider |

## Functions

IdeLspClient * | ide_lsp_rename_provider_get_client ()
void | ide_lsp_rename_provider_set_client ()

## Properties

IdeBuffer * | buffer | Write
IdeLspClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LSP_RENAME_PROVIDER
struct | IdeLspRenameProviderClass
| IdeLspRenameProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLspRenameProvider

## Implemented Interfaces

IdeLspRenameProvider implements IdeRenameProvider.

## Description

## Functions

### ide_lsp_rename_provider_get_client ()

    IdeLspClient *
    ide_lsp_rename_provider_get_client (IdeLspRenameProvider *self);

#### Returns

an IdeLspClient or `NULL`.

[transfer none][nullable]

### ide_lsp_rename_provider_set_client ()

    void
    ide_lsp_rename_provider_set_client (IdeLspRenameProvider *self,
                                        IdeLspClient *client);

## Types and Values

### IDE_TYPE_LSP_RENAME_PROVIDER

    #define IDE_TYPE_LSP_RENAME_PROVIDER (ide_lsp_rename_provider_get_type())

### struct IdeLspRenameProviderClass

    struct IdeLspRenameProviderClass {
      IdeObjectClass parent_instance;
    };

### IdeLspRenameProvider

    typedef struct _IdeLspRenameProvider IdeLspRenameProvider;

## Property Details

### The `“buffer”` property

      “buffer”                   IdeBuffer *

The buffer for renames.

Owner: IdeLspRenameProvider

Flags: Write

### The `“client”` property

      “client”                   IdeLspClient *

The Language Server client.

Owner: IdeLspRenameProvider

Flags: Read / Write